# List of all items in this crate
Keywords: rust, rustlang, rust-lang

# [−] List of all items

### Structs

- Error
- PlainFuncValidator
- PlainValidator
- context::ModuleContext
- context::ModuleContextBuilder
- func::BlockFrame
- func::FunctionValidationContext
- stack::Error
- stack::StackWithLimit
- util::Locals

### Enums

- func::StackValueType
- func::StartedWith

### Traits

- FuncValidator
- Validator

### Functions

- func::drive
- func::require_label
- func::top_label
- validate_memory
- validate_module

### Constants

- DEFAULT_MEMORY_INDEX
- DEFAULT_TABLE_INDEX
- LINEAR_MEMORY_MAX_PAGES

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g., `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g., `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g., `str,u8` or `String,struct:Vec,test`)